Package com.enonic.xp.app

## Class ApplicationInfo.Builder

- java.lang.Object
- - com.enonic.xp.app.ApplicationInfo.Builder

- Enclosing class:
    ApplicationInfo

      public static final class ApplicationInfo.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ApplicationInfo` | `build()` |
    `ApplicationInfo.Builder` | `setContentReferences​(Contents contentReferences)` |
    `ApplicationInfo.Builder` | `setContentTypes​(ContentTypes contentTypes)` |
    `ApplicationInfo.Builder` | `setIdProviderDescriptor​(IdProviderDescriptor idProviderDescriptor)` |
    `ApplicationInfo.Builder` | `setIdProviderReferences​(IdProviders idProviderReferences)` |
    `ApplicationInfo.Builder` | `setLayouts​(LayoutDescriptors layouts)` |
    `ApplicationInfo.Builder` | `setMacros​(MacroDescriptors macros)` |
    `ApplicationInfo.Builder` | `setPages​(PageDescriptors pages)` |
    `ApplicationInfo.Builder` | `setParts​(PartDescriptors parts)` |
    `ApplicationInfo.Builder` | `setRelations​(RelationshipTypes relations)` |
    `ApplicationInfo.Builder` | `setTasks​(Descriptors<TaskDescriptor> tasks)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setContentTypes

          public ApplicationInfo.Builder setContentTypes​(ContentTypes contentTypes)

    - #### setPages

          public ApplicationInfo.Builder setPages​(PageDescriptors pages)

    - #### setParts

          public ApplicationInfo.Builder setParts​(PartDescriptors parts)

    - #### setLayouts

          public ApplicationInfo.Builder setLayouts​(LayoutDescriptors layouts)

    - #### setRelations

          public ApplicationInfo.Builder setRelations​(RelationshipTypes relations)

    - #### setMacros

          public ApplicationInfo.Builder setMacros​(MacroDescriptors macros)

    - #### setTasks

          public ApplicationInfo.Builder setTasks​(Descriptors<TaskDescriptor> tasks)

    - #### setContentReferences

          public ApplicationInfo.Builder setContentReferences​(Contents contentReferences)

    - #### setIdProviderReferences

          public ApplicationInfo.Builder setIdProviderReferences​(IdProviders idProviderReferences)

    - #### setIdProviderDescriptor

          public ApplicationInfo.Builder setIdProviderDescriptor​(IdProviderDescriptor idProviderDescriptor)

    - #### build

          public ApplicationInfo build()